Loading...
Searching...
No Matches
Mark conflicted paths as resolved.
Client working copy management

## Functions

svn_error_t * | svn_client_resolved (const char *path, svn_boolean_t recursive, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_resolve(), but without automatic conflict resolution support.
svn_error_t * | svn_client_resolve (const char *path, svn_depth_t depth, svn_wc_conflict_choice_t conflict_choice, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Perform automatic conflict resolution on a working copy path.

## Detailed Description

## Function Documentation

## svn_client_resolve()

svn_error_t * svn_client_resolve | ( | const char * | path,
|  | svn_depth_t | depth,
|  | svn_wc_conflict_choice_t | conflict_choice,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Perform automatic conflict resolution on a working copy path.

If conflict_choice is

- svn_wc_conflict_choose_base: resolve the conflict with the old file contents
- svn_wc_conflict_choose_mine_full: use the original working contents
- svn_wc_conflict_choose_theirs_full: use the new contents
- svn_wc_conflict_choose_merged: don't change the contents at all, just remove the conflict status, which is the pre-1.5 behavior.
- svn_wc_conflict_choose_theirs_conflict

### ...

- svn_wc_conflict_choose_mine_conflict

### ...

- svn_wc_conflict_choose_unspecified invoke ctx->conflict_func2 with ctx->conflict_baton2 to obtain a resolution decision for each conflict. This can be used to implement interactive conflict resolution but is NOT RECOMMENDED for new code. To perform conflict resolution based on interactive user input on a per-conflict basis, use svn_client_conflict_text_resolve(), svn_client_conflict_prop_resolve(), and svn_client_conflict_tree_resolve() instead of svn_client_resolve().

svn_wc_conflict_choose_theirs_conflict and svn_wc_conflict_choose_mine_conflict are not legal for binary files or properties.

If path is not in a state of conflict to begin with, do nothing. If path's conflict state is removed and ctx->notify_func2 is non-NULL, call ctx->notify_func2 with ctx->notify_baton2 and path.

### with what notification parameters?

If depth is svn_depth_empty, act only on path; if svn_depth_files, resolve path and its conflicted file children (if any); if svn_depth_immediates, resolve path and all its immediate conflicted children (both files and directories, if any); if svn_depth_infinity, resolve path and every conflicted file or directory anywhere beneath it.

Note that this operation will try to lock the parent directory of path in order to be able to resolve tree-conflicts on path.

Since
  New in 1.5.

References path.

## svn_client_resolved()

svn_error_t * svn_client_resolved | ( | const char * | path,
|  | svn_boolean_t | recursive,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool )

Similar to svn_client_resolve(), but without automatic conflict resolution support.

Deprecated
  Provided for backward compatibility with the 1.4 API. Use svn_client_resolve() with conflict_choice == `svn_wc_conflict_choose_merged` instead.

References path.